equo database gentoosync errors [Solved]

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

equo database gentoosync errors [Solved]

Postby dave_p_b » Wed May 27, 2009 12:22

Hi

Just thought I'd check this out here before submitting a bug report. For the versions of equo > 0.95.2, each time I issue the equo database gentoosync or equo database generate commands I get errors like this:

Sabayon4 dave # equo database gentoosync>> Scanning Portage and Entropy databases for differences...
>> Differential Scan... Are you ready ? [Yes/No] yes
>> @@ Someone added these packages. They would be added to the system database:
>> # app-admin/sulfur-0.95.3
>> # app-admin/entropy-notification-applet-0.95.3
>> # sys-apps/entropy-0.95.3
>> # kde-misc/entropy-kioslaves-0.95.3
>> # sys-apps/entropy-client-services-0.95.3
>> # app-admin/equo-0.95.3
>> ++ (1/6) >>> Adding app-admin/sulfur-0.95.3
>> !!! An error occured while analyzing: app-admin/sulfur-0.95.3
>> Exception: <type 'exceptions.Exception'>: 'Client' object has no attribute 'extract_pkg_metadata'

>> ++ (2/6) >>> Adding app-admin/entropy-notification-applet-0.95.3
>> !!! An error occured while analyzing: app-admin/entropy-notification-applet-0.95.3
>> Exception: <type 'exceptions.Exception'>: 'Client' object has no attribute 'extract_pkg_metadata'

>> ++ (3/6) >>> Adding sys-apps/entropy-0.95.3
>> !!! An error occured while analyzing: sys-apps/entropy-0.95.3
>> Exception: <type 'exceptions.Exception'>: 'Client' object has no attribute 'extract_pkg_metadata'

>> ++ (4/6) >>> Adding kde-misc/entropy-kioslaves-0.95.3
>> !!! An error occured while analyzing: kde-misc/entropy-kioslaves-0.95.3
>> Exception: <type 'exceptions.Exception'>: 'Client' object has no attribute 'extract_pkg_metadata'

>> ++ (5/6) >>> Adding sys-apps/entropy-client-services-0.95.3
>> !!! An error occured while analyzing: sys-apps/entropy-client-services-0.95.3
>> Exception: <type 'exceptions.Exception'>: 'Client' object has no attribute 'extract_pkg_metadata'

>> ++ (6/6) >>> Adding app-admin/equo-0.95.3
>> !!! An error occured while analyzing: app-admin/equo-0.95.3
>> Exception: <type 'exceptions.Exception'>: 'Client' object has no attribute 'extract_pkg_metadata


Just wandering if any one else has same problem. I downgraded equo back to 0.95.2 and everything is fine.

All the best

Dave
dave_p_b
Old Dear Hen
 
Posts: 607
Joined: Fri Dec 15, 2006 1:39
Location: Exeter, UK

Re: equo database gentoosync errors

Postby joost » Wed May 27, 2009 15:27

Fixed in entropy 0.95.6
joost
Sagely Hen
 
Posts: 2574
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands


Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron